Name: unbound
Version: 1.0.2
Release: alt2
License: BSD
Url: http://unbound.net/
Source: http://www.unbound.net/downloads/%name-%version.tar.gz
Source1: unbound.init
Summary: Validating, recursive, and caching DNS resolver
Group: System/Servers
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

%define _chrootdir %_localstatedir/%name

PreReq: chrooted
PreReq: lib%name = %version-%release

Provides: %name-chroot(%_chrootdir)

BuildRequires: flex gcc-c++ libssl-devel libldns-devel

%description
Unbound is a validating, recursive, and caching DNS resolver.

The C implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net.

Unbound is designed as a set of modular components, so that also
DNSSEC (secure DNS) validation and stub-resolvers (that do not run
as a server, but are linked into an application) are easily possible.

%package -n lib%name
Summary: Library for %name
Group: System/Libraries

%description -n lib%name
This package contains shared libraries used by %name's daemons
and clients.

%package -n lib%name-devel-static
Summary: Static library for %name
Group: System/Libraries
Obsoletes: lib%name-static

%description -n lib%name-devel-static
This package contains static libraries used by %name's daemons
and clients.

%package -n lib%name-devel
Summary: Development package that includes the %name header files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
The devel package contains the include files

%prep
%setup -q
rm -f ldns-src.tar.gz

%build
# configure with /var/unbound/unbound.conf so that all default chroot,
# pidfile and config file are in /var/unbound, ready for chroot jail set up.
#
# This is a build using libldns builtin version, the resulting binaries
# do not require libldns and this package does not have version dependencies.
# Could be smaller using a dependency on libldns (use --with-ldns=).
%autoreconf

%configure \
	    --with-conf-file=%_chrootdir/unbound.conf \
	    --with-username=_%name \
	    --enable-debug \
	    --disable-rpath
##	    --disable-static \

%__make

sed -i '/do-ip6/a	do-ip6: no' doc/example.conf

%install
%__make DESTDIR=%buildroot install
install -d 0700 %buildroot%_localstatedir/%name
install -d 0755 %buildroot%_initdir
install -m 0755 %SOURCE1 %buildroot%_initdir/unbound
# add symbolic link from /etc/unbound.conf -> /var/unbound/unbound.conf
ln -s %_localstatedir/unbound/unbound.conf %buildroot%_sysconfdir/unbound.conf

%pre
/usr/sbin/groupadd -r -f _%name
/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -n -c "Domain Name Server" _%name >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc doc/README doc/CREDITS doc/LICENSE doc/FEATURES
%_initdir/%name
%attr(1775,root,_%name) %dir %_localstatedir/%name
%config(noreplace) %_localstatedir/%name/unbound.conf
%config(noreplace) %_sysconfdir/unbound.conf
%_sbindir/*
%_mandir/man1/*
%_mandir/man5/*
%_mandir/man8/*

%files -n lib%name
%_libdir/libunbound*so*
%_mandir/man3/*

%files -n lib%name-devel-static
%_libdir/libunbound.a

%files -n lib%name-devel
%_includedir/*

%changelog
* Thu Nov 13 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.0.2-alt2
- Rename subpackage lib%name-static to lib%name-devel-static (http://www.altlinux.org/Drafts/SharedLibs)

* Mon Sep 15 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.0.2-alt1
- New version

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.1-alt1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Thu Aug 07 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.0.1-alt1
- This version features bugfixes, a couple of fixes for looking up corner cases 
  (badly operated domains), and a cleanup of code for config file reading.

* Fri May 30 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.0.0-alt2
- Change owner of %_localstatedir/%name to root and add sticky bit
- Change default username to _%name

* Sun May 25 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.0.0-alt1
- Build for ALT
